﻿using System.Collections.Generic;
using System.ServiceModel;
using Salient.ServiceModel;
namespace WcfServiceShared
{
    /// <summary>
    /// The service contract
    /// </summary>
    [ServiceContract(Name = "IService", Namespace = "WcfServiceLibrary1.Service")]
    public interface IService
    {
        [OperationContract]
        [PreserveReferencesAttribute]
        List<Person> GetPeople();

        [OperationContract]
        List<Person> GetPeopleWithOutCicularReferencing();
    }
}