using System.Collections.Generic;
using System.Runtime.Serialization;

namespace WcfServiceShared
{
    [DataContract]
    public class Person
    {
        private List<Person> children = new List<Person>();
        private string name = string.Empty;

        [DataMember]
        public int Age { get; set; }

        [DataMember]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        [DataMember]
        public List<Person> Children
        {
            get { return children; }
            set { children = value; }
        }

        [DataMember]
        public Person Parent { get; set; }
    }
}