//------------------------------------------------------------------------------
// <copyright file="ApplicationConfigurationPage.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//------------------------------------------------------------------------------

using System;
using System.Security.Permissions;
using System.Web;

namespace Salient.Web.Administration
{
    [AspNetHostingPermission(SecurityAction.LinkDemand, Level = AspNetHostingPermissionLevel.Minimal)]
    [AspNetHostingPermission(SecurityAction.InheritanceDemand, Level = AspNetHostingPermissionLevel.Minimal)]
    public class ApplicationConfigurationPage : WebAdminPage
    {
        protected override void OnInit(EventArgs e)
        {
            NavigationBar.SetSelectedIndex(2);
            base.OnInit(e);
        }
    }
}