//------------------------------------------------------------------------------
// <copyright file="WebAdminPage.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//------------------------------------------------------------------------------

using System.Security.Permissions;
using System.Web;
using System.Web.UI;

namespace Salient.Web.Administration
{
    // Base class for use elsewhere in the code directory
    [AspNetHostingPermission(SecurityAction.LinkDemand, Level = AspNetHostingPermissionLevel.Minimal)]
    [AspNetHostingPermission(SecurityAction.InheritanceDemand, Level = AspNetHostingPermissionLevel.Minimal)]
    public abstract class NavigationBar : UserControl
    {
        public abstract void SetSelectedIndex(int index);
    }
}