﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AppSetting.ascx.cs" Inherits="Salient.Web.Administration.AppConfig.AppSetting" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="Salient.Web.Administration" %>
<%@ Import Namespace="System.Web.Configuration" %>

<table cellspacing="0" height="1%" width="80%" rules="none"
       bordercolor="#CCDDEF" border="1" style="border-color:#CCDDEF;border-style:None;border-collapse:collapse;">
    <tr class="callOutStyle" valign="top" height="5%" cellpadding="4">
        <td style="padding-left:10;padding-right:10;"><asp:Literal ID="Literal1" runat="server" text="<%$ Resources:AppSettingTitle %>"/></td>
    </tr>
    <tr>
        <td>
            <table class="bodyText" cellpadding="4">
                <tr>
                    <%-- An invisible textbox at the end of the line is to submit the page on enter, raising server side onclick --%>
                    <td><asp:Label ID="Label1" runat="server" AssociatedControlID="NameTextBox" Text="<%$ Resources:NameLabel %>" /></td>
                    <td><asp:TextBox runat=server id="NameTextBox" width="155"/>&nbsp;<input type="text" style="visibility:hidden;width:0px;" /></td>
                </tr>
                <tr>
                    <td><asp:Label ID="Label2" runat="server" AssociatedControlID="ValueTextBox" Text="<%$ Resources:ValueLabel %>" /></td>
                    <td><asp:TextBox runat=server id="ValueTextBox" width="155"/></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="userDetailsWithFontSize" valign="top" height="5%">
        <td>
            <table height="100%" width="100%">
                <tr>
                    <td class="bodyText">
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" HeaderText="<%$ Resources:GlobalResources,ErrorHeader %>"/>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="NameTextBox"
                                                    ErrorMessage="<%$ Resources:NameRequiredError %>" Display="none"/>
                        <asp:RegularExpressionValidator id="NameValidator" ControlToValidate="NameTextBox" ErrorMessage="<%$ Resources:NameTooLongError %>" ValidationExpression=".{0,256}" Display="none" runat="server"/>
                        <asp:RegularExpressionValidator id="ValueValidator" ControlToValidate="ValueTextBox" ErrorMessage="<%$ Resources:ValueTooLongError %>" ValidationExpression=".{0,256}" Display="none" runat="server"/>
                        <asp:CustomValidator runat="server" Display="none" Enabled="false" id="CustomVal"/>
                        
                    </td>
                    <td style="padding-right:10;" align="right" width="20%" valign="top">
                        <asp:Button runat=server id="SaveButton" Text="<%$ Resources:GlobalResources,SaveButtonLabel %>" width="100"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
