﻿<%@ Page Language="C#" MasterPageFile="~/WebAdminWithConfirmation.master" AutoEventWireup="true" CodeBehind="CreateAppSetting.aspx.cs"
    Inherits="Salient.Web.Administration.AppConfig.CreateAppSetting" %>

<%@ Register TagPrefix="appConfig" TagName="appSetting" Src="appSetting.ascx" %>
<%@ Import Namespace="Salient.Web.Administration" %>
<%@ Import Namespace="System.Web.Configuration" %>
<%-- Main Content --%>
<asp:content runat="server" contentplaceholderid="titleBar">
    <asp:Literal runat="server" id="AppSettingTitle" Text="<%$ Resources:Title %>"/>
</asp:content>
<asp:content runat="server" contentplaceholderid="content">
    <table height="100%" width="70%" valign="top">
        <tr height="5%">
            <td class="bodyTextNoPadding" valign="top">
                <asp:literal runat="server" Text="<%$ Resources:Instructions %>"/>
            </td>
        </tr>
        <tr><td/></tr>
        <tr valign="top">
            <td>
                <appConfig:appSetting runat="server" id="AppSetting" OnSave="Save"/>
            </td>
        </tr>
    </table>
</asp:content>
<asp:content runat="server" contentplaceholderid="buttons">
    <asp:button ValidationGroup="none" text="<%$ Resources:GlobalResources,BackButtonLabel %>" onclick="ReturnToPreviousPage" runat="server"/>
</asp:content>
<%-- Confirmation Dialog --%>
<asp:content runat="server" contentplaceholderid="dialogTitle">
    <asp:Literal runat="server" Text="<%$ Resources:Title %>"/>
</asp:content>
<asp:content runat="server" contentplaceholderid="dialogContent">
    <asp:Literal runat="server" id="AppSettingConfirmation"/>
</asp:content>
<asp:content runat="server" contentplaceholderid="dialogBottomLeftButton">
    <asp:Button runat="server" OnClick="AddAnother_Click" Text="<%$ Resources:AddAnotherButtonLabel %>" width="140"/>
</asp:content>
<asp:content runat="server" contentplaceholderid="dialogBottomRightButton">
    <asp:Button runat="server" OnClick="OK_Click" Text="<%$ Resources:GlobalResources,OKButtonLabel %>" width="110"/>
</asp:content>
