﻿<%@ Page Language="C#" MasterPageFile="~/webAdminButtonRow.master" AutoEventWireup="true"
    CodeBehind="DebugAndTrace.aspx.cs" Inherits="Salient.Web.Administration.AppConfig.DebugAndTrace" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Title %>" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <table height="100%" width="100%" valign="top">
        <tr height="1%">
            <td class="bodyTextNoPadding" colspan="4" valign="top">
                <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:Instructions %>" />
            </td>
        </tr>
        <tr valign="top">
            <td>
                <table>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td valign="top">
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" border="0"
                                style="border-style: None; border-collapse: collapse;">
                                <tr class="bodyText" valign="top">
                                    <td>
                                        <asp:CheckBox runat="server" ID="EnableDebugCheckBox" AutoPostBack="true" OnCheckedChanged="WebControl_ValueChanged" />&nbsp;<asp:Label
                                            ID="Label1" runat="server" AssociatedControlID="EnableDebugCheckBox" Text="<%$ Resources:EnableDebugLabel %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td>
                                        <asp:CheckBox runat="server" ID="EnableTraceCheckBox" AutoPostBack="true" OnCheckedChanged="WebControl_ValueChanged" />&nbsp;<asp:Label
                                            ID="Label2" runat="server" AssociatedControlID="EnableTraceCheckBox" Text="<%$ Resources:EnableTraceLabel %>" />
                                    </td>
                                </tr>
                                <tr height="1%">
                                    <td>
                                        <hr />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td>
                                        <asp:CheckBox runat="server" ID="DisplayTraceInfoCheckBox" AutoPostBack="true" OnCheckedChanged="WebControl_ValueChanged" />&nbsp;<asp:Label
                                            ID="Label3" runat="server" AssociatedControlID="DisplayTraceInfoCheckBox" Text="<%$ Resources:DisplayTraceInfoLabel %>" />
                                    </td>
                                </tr>
                                <tr valign="top">
                                    <td>
                                        <asp:Label ID="Label4" runat="server" CssClass="bodyTextNoPadding" Text="<%$ Resources:DisplayTraceOutputForLabel %>" />
                                        <asp:RadioButtonList runat="server" ID="DisplayTraceOutputList" AutoPostBack="true"
                                            CssClass="bodyText" OnSelectedIndexChanged="WebControl_ValueChanged">
                                            <asp:ListItem Text="<%$ Resources:LocalRequestsOnlyListItemText %>" />
                                            <asp:ListItem Text="<%$ Resources:AllRequestsListItemText %>" />
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr height="1%">
                                    <td>
                                        <hr />
                                    </td>
                                </tr>
                                <tr valign="top">
                                    <td style="padding-right: 10;">
                                        <asp:Label ID="Label5" runat="server" CssClass="bodyTextNoPadding" Text="<%$ Resources:SortOrderForTraceResultsLabel %>" />
                                        <asp:RadioButtonList runat="server" ID="SortTraceList" AutoPostBack="true" CssClass="bodyText"
                                            OnSelectedIndexChanged="WebControl_ValueChanged">
                                            <asp:ListItem Text="<%$ Resources:ByTimeListItemText %>" />
                                            <asp:ListItem Text="<%$ Resources:ByCategoryListItemText %>" />
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr height="1%">
                                    <td>
                                        <hr />
                                    </td>
                                </tr>
                                <tr valign="top">
                                    <td style="padding-right: 10;">
                                        <asp:Label ID="Label6" runat="server" CssClass="bodyTextNoPadding" Text="<%$ Resources:NumberOfTraceRequestsToCache %>" />
                                        <asp:DropDownList runat="server" ID="RequestLimitList" AutoPostBack="true" CssClass="bodyText"
                                            OnSelectedIndexChanged="WebControl_ValueChanged">
                                            <asp:ListItem Value="5" />
                                            <asp:ListItem Value="10" />
                                            <asp:ListItem Value="15" />
                                            <asp:ListItem Value="20" />
                                            <asp:ListItem Value="25" />
                                            <asp:ListItem Value="30" />
                                            <asp:ListItem Value="35" />
                                            <asp:ListItem Value="40" />
                                            <asp:ListItem Value="45" />
                                            <asp:ListItem Value="50" />
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr height="1%">
                                    <td>
                                        <hr />
                                    </td>
                                </tr>
                                <tr valign="top">
                                    <td style="padding-right: 10;">
                                        <asp:Label ID="Label7" runat="server" CssClass="bodyTextNoPadding" Text="<%$ Resources:WhichTraceResultsToCacheLabel %>" />
                                        <asp:RadioButtonList runat="server" ID="MostRecentTracesList" AutoPostBack="true"
                                            CssClass="bodyText" OnSelectedIndexChanged="WebControl_ValueChanged">
                                            <asp:ListItem Text="<%$ Resources:MostRecentTraceResultsListItemText %>" />
                                            <asp:ListItem Text="<%$ Resources:OldestTraceResultsListItemText %>" />
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td style="padding-right: 10;">
                                        <asp:HyperLink ID="HyperLink1" runat="server" Text="<%$ Resources:ConfigureCustomErrorPagesLinkText %>"
                                            NavigateUrl="DefineErrorPage.aspx" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="4%" />
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="buttons">
    <asp:Button ValidationGroup="none" Text="<%$ Resources:GlobalResources,BackButtonLabel %>"
        ID="BackButton" OnClick="BackToPreviousPage" runat="server" />
</asp:Content>
