﻿<%@ Page Language="C#" MasterPageFile="~/WebAdminWithConfirmation.master" AutoEventWireup="true"
    CodeBehind="ManageProviders.aspx.cs" Inherits="Salient.Web.Administration.Providers.ManageProviders" %>

<%@ Register TagPrefix="uc" TagName="ProviderList" Src="ProviderList.ascx" %>
<%-- Main Content --%>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:ManageProviders %>" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <table height="100%" width="100%" cellspacing="0" cellpadding="0" valign="top" align="left">
        <tr class="bodyTextNoPadding" height="1%">
            <td>
                <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UseThisPage %>" />
            </td>
        </tr>
        <tr height="1%">
            <td />
            &nbsp; </td>
        </tr>
        <tr height="1%">
            <td>
                <uc:ProviderList runat="server" ID="MembershipProviderList" HeaderText="<%$ Resources:MembershipProvider %>"
                    ServiceName="membership" OnSelectProvider="SelectProvider" OnTestConnection="TestConnection" />
            </td>
        </tr>
        <tr height="1%">
            <td />
            &nbsp; </td>
        </tr>
        <tr height="1%">
            <td>
                <uc:ProviderList runat="server" ID="RoleProviderList" HeaderText="<%$ Resources:RoleProvider %>"
                    ServiceName="roleManager" OnSelectProvider="SelectProvider" OnTestConnection="TestConnection" />
            </td>
        </tr>
        <tr height="1%">
            <td />
            &nbsp; </td>
        </tr>
        <tr height="1%">
            <td />
            &nbsp; </td>
        </tr>
        <tr height="1%">
            <td>
            </td>
        </tr>
        <tr height="1%">
            <td />
            &nbsp; </td>
        </tr>
        <tr height="1%">
            <td>
            </td>
        </tr>
        <tr height="93%">
            <td />
            &nbsp; </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="buttons">
    <asp:Button ValidationGroup="none" Text="<%$ Resources:Back %>" ID="BackButton" OnClick="BackToPreviousPage"
        runat="server" />
</asp:Content>
<%-- Confirmation Dialog --%>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="dialogTitle">
    <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:ProviderManagement %>" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="dialogContent">
    <asp:MultiView runat="server" ID="mv1" EnableViewState="false" ActiveViewIndex="0">
        <asp:View ID="View1" runat="server">
            <table cellspacing="4" cellpadding="4">
                <tr class="bodyText">
                    <td valign="top">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/alert_lrg.gif" />
                    </td>
                    <td>
                        <asp:Literal runat="server" ID="areYouSureLiteral" />
                    </td>
                </tr>
            </table>
        </asp:View>
        <asp:View ID="View2" runat="server">
            <asp:Label runat="server" ID="testConnectionLiteral" />
        </asp:View>
    </asp:MultiView>
</asp:Content>
<asp:Content ID="Content6" runat="server" ContentPlaceHolderID="dialogBottomLeftButton">
</asp:Content>
<asp:Content ID="Content7" runat="server" ContentPlaceHolderID="dialogBottomRightButton">
    <asp:Button runat="server" ID="OKButton" EnableViewState="false" OnClick="OK_Click"
        Text="<%$ Resources:OK%>" Visible="false" Width="75" />
</asp:Content>
