﻿<%@ Page Language="C#" MasterPageFile="~/WebAdminWithConfirmation.master" AutoEventWireup="true"
    CodeBehind="addUser.aspx.cs" Inherits="Salient.Web.Administration.Security.Users.addUser" %>

<%@ Register TagPrefix="admin" Namespace="Salient.Web.Administration" Assembly="System.Web" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="buttons">
    <asp:Button ValidationGroup="none" Text="<%$ Resources:Back %>" ID="doneButton" OnClick="ReturnToPreviousPage"
        runat="server" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:CreateUser %>" />
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="content">
    <div style="width: 750">
        <asp:Literal runat="server" ID="addUserInstructions" Text="<%$ Resources:Instructions %>" />
    </div>
    <br />
    <table>
        <tr>
            <td>
                <table cellspacing="0" cellpadding="5" class="lrbBorders">
                    <tr>
                        <td class="callOutStyle">
                            <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:CreateUser %>" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:CreateUserWizard runat="server" ID="createUser" DisplayCancelButton="false"
                                class="bodyText" createUserTitleText="" ContinueDestinationPageUrl="~/security/users/addUser.aspx"
                                EmailLabelText="<%$ Resources:EmailLabel %>" EmailRegularExpression="\S+@\S+\.\S+"
                                oncancelclick="ReturnToPreviousPage" OnCreatedUser="CreatedUser" OnCreatingUser="CreatingUser"
                                OnSendingMail="SendingPasswordMail" MembershipProvider="WebAdminMembershipProvider" />
                        </td>
                    </tr>
                </table>
            </td>
            <td height="100%">
                <table borderwidth="1px" cellpadding="0" cellspacing="0" height="100%" width="100%">
                    <tr class="callOutStyleLowLeftPadding" height="1">
                        <td valign="top">
                            <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:Roles %>" />
                        </td>
                    </tr>
                    <tr valign="top" height="100%">
                        <td class="userDetailsWithFontSize" height="100%">
                            <asp:Panel runat="server" ID="panel1" ScrollBars="auto" valign="top">
                                <asp:Label runat="server" ID="selectRolesLabel" Text="<%$ Resources:SelectRoles %>" />
                                <br />
                                <asp:Repeater runat="server" ID="checkBoxRepeater">
                                    <ItemTemplate>
                                        <asp:CheckBox runat="server" ID="checkBox1" Text='<%# Container.DataItem.ToString()%>' />
                                        <br />
                                    </ItemTemplate>
                                </asp:Repeater>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <asp:CheckBox runat="server" ID="activeUser" Checked="true" Text="<%$ Resources:ActiveUser %>" />
</asp:Content>
