﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="wizard.aspx.cs" Inherits="Salient.Web.Administration.Security.Wizard.wizard" %>

<%@ Register TagPrefix="user" TagName="authentication" Src="wizardAuthentication.ascx" %>
<%@ Register TagPrefix="user" TagName="createDB" Src="wizardProviderInfo.ascx" %>
<%@ Register TagPrefix="user" TagName="adduser" Src="wizardAddUser.ascx" %>
<%@ Register TagPrefix="user" TagName="createRoles" Src="wizardCreateRoles.ascx" %>
<%@ Register TagPrefix="user" TagName="permissions" Src="wizardPermission.ascx" %>
<%@ Register TagPrefix="user" TagName="finish" Src="wizardFinish.ascx" %>
<%@ Register TagPrefix="user" TagName="init" Src="wizardInit.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<%=Directionality%>">
<head>
    <title>ASP.Net Web Site Administration Tool</title>
</head>
<body leftmargin="0" topmargin="0">
    <form id="Form1" runat="server">
    <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
        <tr>
            <td class="appHeader" colspan="2" height="70" valign="top">
                <img src="../../images/ASPdotNET_logo.jpg" width="198" height="46" alt="<%#GetAltText("BrandingFull2Gif")%>"
                    border="0">
                <span class="logoText">
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:WebAdminTool %>" />
                </span>
            </td>
        </tr>
        <tr>
            <td class="blueRepeat" colspan="2" height="6" />
            </td>
        </tr>
        <tr>
            <td height="35" class="callOutHeaderStyle" colspan="2" valign="center">
                <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: SecuritySetupWizard %>" />
            </td>
        </tr>
        <tr>
            <td class="darkBlueShadow" height="6" />
            <td class="lightShadow" height="6" />
        </tr>
        <tr>
            <%-- REVIEW: Is width working correctly here?  Value seems too small --%>
            <td class="leftWizard" valign="top" width="245px">
                <asp:TreeView runat="server" ID="navigationTree" BackColor="#3266CC" CssClass="leftWizard"
                    ForeColor="white" OnSelectedNodeChanged="NavigationTreeNodeChanged" Width="20px">
                    <SelectedNodeStyle CssClass="leftWizard" Font-Bold="true" />
                    <NodeStyle CssClass="leftWizard" />
                    <Nodes>
                        <asp:TreeNode runat="server" Value="0" SelectAction="none" Selected="true" Text="<%$ Resources:Step1Welcome %>" />
                        <asp:TreeNode runat="server" Value="1" SelectAction="none" Text="<%$ Resources:Step2AccessMethod %>" />
                        <asp:TreeNode runat="server" Value="2" SelectAction="none" Text="<%$ Resources:Step3DataStore %>" />
                        <asp:TreeNode runat="server" Value="3" SelectAction="none" Text="<%$ Resources:Step4DefineRoles %>" />
                        <asp:TreeNode runat="server" Value="4" SelectAction="none" Text="<%$ Resources:Step5AddUsers %>" />
                        <asp:TreeNode runat="server" Value="5" SelectAction="none" Text="<%$ Resources:Step6AddRules %>" />
                        <asp:TreeNode runat="server" Value="6" SelectAction="none" Text="<%$ Resources:Step7Complete %>" />
                    </Nodes>
                </asp:TreeView>
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                <table border="0">
                    <tr>
                        <td style="padding-left: 24">
                            <hr style="color: 9abbdd;" />
                        </td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap" style="padding-left: 21">
                            <asp:HyperLink ID="securityManagement" runat="server" CssClass="leftWizard" Text="<%$ Resources:SecurityManagement %>"
                                href="../security.aspx" />
                        </td>
                    </tr>
                </table>
            </td>
            <%-- Width set to 100% so that width of left hand table cell is correctly rendered. --%>
            <td class="wizardClassNoWatermark" height="100%" valign="top" width="">
                <asp:MultiView runat="server" ID="centralView" ActiveViewIndex="0" OnActiveViewChanged="ActiveViewChanged">
                    <asp:View runat="server" ID="view1">
                        <user:init runat="server" ID="init" />
                    </asp:View>
                    <asp:View runat="server" ID="view2">
                        <user:authentication runat="server" ID="authentication" />
                    </asp:View>
                    <asp:View runat="server" ID="view3">
                        <user:createDB runat="server" ID="createDB" />
                    </asp:View>
                    <asp:View runat="server" ID="view4">
                        <user:createRoles runat="server" ID="roles" />
                    </asp:View>
                    <asp:View runat="server" ID="view5">
                        <user:adduser runat="server" ID="users" />
                    </asp:View>
                    <asp:View runat="server" ID="view6">
                        <user:permissions runat="server" ID="permissions" />
                    </asp:View>
                    <asp:View runat="server" ID="view7">
                        <user:finish runat="server" ID="finish" />
                    </asp:View>
                </asp:MultiView>
            </td>
        </tr>
        <tr>
            <td class="leftWizard" width="20">
            </td>
            <td valign="bottom">
                <table align="right" valign="bottom" width="" height="" cellpadding="0" cellspacing="0"
                    border="0">
                    <tr>
                        <asp:Literal runat="server" ID="yellowCornerElement" />
                        <td class="buttonCell" align="left" valign="bottom">
                            &nbsp;&nbsp;
                            <asp:Button runat="server" ID="prevButton" Enabled="false" OnClick="PrevStep" Text="<%$ Resources:BackButton %>" />&nbsp;
                            <asp:Button runat="server" ID="nextButton" OnClick="NextStep" Text="<%$ Resources:NextButton %>"
                                ValidationGroup="nextButton" />&nbsp;&nbsp;&nbsp;
                            <asp:Button runat="server" ID="cancelButton" OnClick="CancelClick" Text="<%$ Resources:FinishButton %>" />
                        </td>
                        <asp:Literal runat="server" ID="yellowCornerElementBIDI" />
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="3" class="buttonCell" colspan="2" />
            </td>
        </tr>
    </table>
    </form>
</body>
