﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="wizardAddUser.ascx.cs"
    Inherits="Salient.Web.Administration.Security.Wizard.wizardAddUser" %>
<%@ Register TagPrefix="admin" Namespace="Salient.Web.Administration" Assembly="System.Web" %>
<div class="bodyTextNoPadding" style="width: 500">
    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:AddUserInstructions %>" />
    <br />
    <br />
    <table cellspacing="0" cellpadding="5" class="lrbBorders">
        <tr>
            <td class="callOutStyle">
                <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:CreateUser %>" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:CreateUserWizard runat="server" ID="createUser" class="bodyText" createUserTitleText=""
                    ContinueDestinationPageUrl="~/security/wizard/wizard.aspx" EmailLabelText="<%$ Resources:EmailLabel %>"
                    DisplayCancelButton="false" EmailRegularExpression="\S+@\S+\.\S+" OnContinueButtonClick="ContinueClick"
                    OnCreatedUser="CreatedUser" OnCreatingUser="CreatingUser" MembershipProvider="WebAdminMembershipProvider">
                </asp:CreateUserWizard>
            </td>
        </tr>
    </table>
    <asp:CheckBox runat="server" ID="activeUser" Checked="true" Text="<%$ Resources:ActiveUser %>" />
</div>
