﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="wizardPermission.ascx.cs"
    Inherits="Salient.Web.Administration.Security.Wizard.wizardPermission" %>
<%@ Import Namespace="System.Web.Configuration" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Register TagPrefix="user" TagName="confirmation" Src="confirmation.ascx" %>
<asp:MultiView runat="server" ID="mv1" ActiveViewIndex="0">
    <asp:View ID="View1" runat="server">
        <table width="550" class="bodyTextNoPadding" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td>
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Instructions %>" />
                </td>
            </tr>
        </table>
        <br />
        <table cellspacing="0" width="550" cellpadding="5" class="lrbBorders">
            <tr class="callOutStyle">
                <td colspan="2">
                    <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:AddNewAccessRule %>" />
                </td>
            </tr>
            <tr>
                <td class="bodyTextNoPadding" width="36%" valign="top">
                    <b>
                        <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:SelectDirForRule %>" /></b>
                    <table height="90%" cellspacing="0" cellpadding="4" rules="rows" bordercolor="#CCDDEF"
                        border="0" style="border-color: #CCDDEF; border-style: None; width: 100%; border-collapse: collapse;">
                        <tr>
                            <td width="200px">
                                <asp:Panel runat="server" ID="panel1" ScrollBars="auto" Height="150px" Width="200px"
                                    CssClass="bodyTextNoPadding">
                                    <asp:TreeView runat="server" ID="tv" OnTreeNodeExpanded="TreeNodeExpanded" OnSelectedNodeChanged="TreeNodeSelected">
                                        <RootNodeStyle ImageUrl="../../images/folder.gif" />
                                        <ParentNodeStyle ImageUrl="../../images/folder.gif" />
                                        <LeafNodeStyle ImageUrl="../../images/folder.gif" />
                                        <NodeStyle CssClass="bodyTextLowPadding" />
                                        <SelectedNodeStyle CssClass="bodyTextLowPaddingSelected" />
                                    </asp:TreeView>
                                </asp:Panel>
                            </td>
                        </tr>
                    </table>
                </td>
                <td height="100%" valign="top">
                    <table height="90%" border="0" cellpadding="6" cellspacing="0" class="bodyTextNoPadding"
                        height="100%" width="100%" align="middle">
                        <tr>
                            <td width="50%" valign="top">
                                <b>
                                    <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:RuleAppliesTo %>" /></b>
                            </td>
                            <td valign="top">
                                <b>
                                    <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:Permission %>" />:</b>
                            </td>
                        </tr>
                        <tr>
                            <td width="62%" valign="top" bgcolor="#EEEEEE">
                                <asp:RadioButton runat="server" ID="roleRadio" Checked="true" EnableViewState="false"
                                    GroupName="rolesUsers" />
                                <asp:Label ID="Label1" runat="server" AssociatedControlID="roleRadio">
                                    <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources:Role %>" /></asp:Label>
                                <asp:DropDownList runat="server" ID="roles" EnableViewState="false" Style="position: relative;
                                    top: 2" />
                            </td>
                            <td valign="top">
                                <asp:RadioButton runat="server" ID="grantRadio" GroupName="grantDeny" />
                                <asp:Label ID="Label2" runat="server" AssociatedControlID="grantRadio">
                                    <asp:Literal ID="Literal7" runat="server" Text="<%$ Resources:Allow %>" /></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td width="62%" valign="top" bgcolor="#EEEEEE">
                                <asp:RadioButton runat="server" ID="userRadio" EnableViewState="false" GroupName="rolesUsers" />
                                <asp:Label ID="Label3" runat="server" AssociatedControlID="userRadio">
                                    <asp:Literal ID="Literal8" runat="server" Text="<%$ Resources:User %>" /></asp:Label>
                                <asp:TextBox runat="server" ID="userName" Style="position: relative; left: 10" size="12" />
                            </td>
                            <td valign="top">
                                <%--<input type="radio" checked="checked" name="R1" onclick="javascript:nyiAlert()">--%>
                                <asp:RadioButton runat="server" ID="denyRadio" Checked="true" GroupName="grantDeny" />
                                <asp:Label ID="Label4" runat="server" AssociatedControlID="denyRadio">
                                    <asp:Literal ID="Literal9" runat="server" Text="<%$ Resources:Deny %>" /></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td width="62%" valign="top" bgcolor="#EEEEEE">
                                <asp:RadioButton runat="server" ID="allUsersRadio" GroupName="rolesUsers" />
                                <asp:Label ID="Label5" runat="server" AssociatedControlID="allUsersRadio">
                                    <asp:Literal ID="Literal10" runat="server" Text="<%$ Resources:AllUsers %>" /></asp:Label>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td width="62%" valign="top" bgcolor="#EEEEEE">
                                <asp:RadioButton runat="server" ID="anonymousUsersRadio" GroupName="rolesUsers" />
                                <asp:Label ID="Label6" runat="server" AssociatedControlID="anonymousUsersRadio">
                                    <asp:Literal ID="Literal11" runat="server" Text="<%$ Resources:AnonymousUsers %>" /></asp:Label>
                            </td>
                            <td valign="bottom">
                                <asp:Button runat="server" ID="add" OnClick="AddRule" Text="<%$ Resources:AddThisRule %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:LinkButton ID="Linkbutton1" runat="server" OnClick="SearchForUsers" Text="<%$ Resources:SearchForUsers %>" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <asp:CustomValidator runat="server" ID="placeholderValidator" EnableClientScript="false"
            ErrorMessage="<%$ Resources:InvalidInput %>" Display="dynamic" />
        <br />
        <span class="bodyTextNoPadding">
            <asp:Literal ID="Literal12" runat="server" Text="<%$ Resources:DimmedRules %>" />
        </span>
        <br />
        <br />
        <asp:GridView runat="server" ID="dataGrid" class="lrbBorders" Width="550" AllowSorting="true"
            GridLines="Horizontal" BorderStyle="None" CellPadding="5" AutoGenerateColumns="False"
            OnRowDataBound="ItemDataBound" UseAccessibleHeader="true">
            <RowStyle CssClass="gridRowStyle" />
            <AlternatingRowStyle CssClass="gridAlternatingRowStyle" />
            <HeaderStyle CssClass="callOutStyle" Font-Bold="true" />
            <SelectedRowStyle CssClass="gridSelectedRowStyle" />
            <Columns>
                <asp:TemplateField HeaderText="<%$ Resources:Permission %>">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="select" Enabled="<%# IsEntryDeleteable(((GridViewRow) Container).RowIndex) %>"
                            ForeColor="<%# ((GridViewRow) Container).RowIndex < Rules.Count - ParentRuleCount ? Color.Black : Color.Gray %>"
                            Text="<%#GetAction((AuthorizationRule)Container.DataItem)%>" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$ Resources:UsersAndRoles %>">
                    <ItemTemplate>
                        <asp:Label ID="Label7" runat="server" Enabled="<%# IsEntryDeleteable(((GridViewRow) Container).RowIndex) %>"
                            ForeColor="black" Text="<%#GetUsersAndRoles((AuthorizationRule)Container.DataItem, true)%>" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$ Resources:Delete %>">
                    <ItemTemplate>
                        <asp:LinkButton runat="server" ID="delete" Enabled="<%# IsEntryDeleteable(((GridViewRow) Container).RowIndex) %>"
                            ForeColor='black' OnClick="DeleteRule" Text="<%$ Resources:Delete %>" ToolTip='<%# GetToolTip("Delete",GetUsersAndRoles((AuthorizationRule)Container.DataItem, false)) %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <PagerStyle ForeColor="#000000" BackColor="#EEEEEE" />
            <PagerSettings Mode="Numeric" />
        </asp:GridView>
        <asp:Panel ID="instructions" />
        </asp:panel>
        <br />
    </asp:View>
    <asp:View ID="View2" runat="server">
        <user:confirmation runat="server" ID="confirmation" />
    </asp:View>
</asp:MultiView>
