﻿<%@ Page Language="C#" MasterPageFile="~/webAdmin.master" AutoEventWireup="true"
    CodeBehind="security.aspx.cs" Inherits="Salient.Web.Administration.Security.security" %>

<%-- Main Content --%>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal runat="server" ID="application" Text="<%$ Resources: SecurityManagement %>" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <table id="hook" height="100%" width="100%">
        <tr>
            <td width="600" valign="top">
                <table width="100%" valign="top">
                    <tr>
                        <td class="bodyTextNoPadding" colspan="3">
                            <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: Explanation %>" />
                            <br />
                            <br />
                            <asp:HyperLink runat="server" ID="linkhook" NavigateUrl="~/security/wizard/wizard.aspx"
                                Text="<%$ Resources:SecurityLink %>" />
                            <br />
                            <br />
                            <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: ClickLinksInstruction %>" />
                        </td>
                    </tr>
                    <tr>
                        <td width="33%" height="100%">
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle">
                                    <td>
                                        <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources: Users %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" height="100%" valign="top">
                                    <td>
                                        <asp:MultiView runat="server" ID="userManagementDisabler" ActiveViewIndex="0">
                                            <asp:View ID="View1" runat="server">
                                                <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources: ExistingUsers %>" />
                                                <asp:Label runat="server" ID="userCount" Font-Bold="true" Text="0" /><br />
                                                <asp:HyperLink runat="server" ID="waLink3" NavigateUrl="~/security/users/addUser.aspx"
                                                    Text="<%$ Resources:CreateUser %>" /><br />
                                                <asp:HyperLink runat="server" ID="waLink4" NavigateUrl="~/security/users/manageUsers.aspx"
                                                    Text="<%$ Resources:ManageUsers %>" /><br />
                                            </asp:View>
                                            <asp:View ID="View2" runat="server">
                                                <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources: WindowsAuthExplanation %>" />
                                            </asp:View>
                                        </asp:MultiView>
                                        <br />
                                        <asp:HyperLink ID="Hyperlink1" runat="server" NavigateUrl="~/security/setUpAuthentication.aspx"
                                            Text="<%$ Resources:SelectAuth %>" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td width="33%" height="100%">
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle">
                                    <td>
                                        <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources: Roles%>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" height="100%" valign="top">
                                    <td>
                                        <asp:Label runat="server" ID="roleMessage" Text="<%$ Resources: ExistingRoles%>" />
                                        <asp:Label runat="server" ID="roleCount" Font-Bold="true" Text="0" />
                                        <br />
                                        <asp:LinkButton runat="server" ID="toggleRoles" OnClick="ToggleRoles" Text="Enable roles" /><br />
                                        <asp:Label runat="server" ID="waLabel5" Enabled="false" Text="<%$ Resources:CreateOrManageRoles %>" />
                                        <asp:HyperLink runat="server" ID="waLink5" NavigateUrl="~/security/roles/manageAllRoles.aspx"
                                            Text="<%$ Resources:CreateOrManageRoles %>" /><br />
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td width="33%" height="100%">
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle">
                                    <td>
                                        <asp:Literal ID="Literal7" runat="server" Text="<%$ Resources: AccessRules%>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" height="100%" valign="top">
                                    <td>
                                        <asp:HyperLink runat="server" ID="waLink7" NavigateUrl="~/security/permissions/createPermission.aspx"
                                            Text="<%$ Resources:CreateAccessRules %>" />
                                        <asp:Label runat="server" ID="waLabel7" Enabled="false" Visible="false" Text="<%$ Resources:CreateAccessRules %>" /><br />
                                        <asp:HyperLink runat="server" ID="waLink8" NavigateUrl="~/security/permissions/managePermissions.aspx"
                                            Text="<%$ Resources:ManageAccessRules %>" />
                                        <asp:Label runat="server" ID="waLabel8" Enabled="false" Visible="false" Text="<%$ Resources:ManageAccessRules%>" /><br />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
