﻿<%@ Page Language="C#" MasterPageFile="~/webAdmin.master" AutoEventWireup="true"
    CodeBehind="WebAdminHelp_Application.aspx.cs" Inherits="Salient.Web.Administration.WebAdminHelp_Application" %>

<%@ Import Namespace="System.Web.Configuration" %>
<%@ Import Namespace="System.Globalization" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal runat="server" ID="AppConfigTitle" Text="Help" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <head>
        <title>
            <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: Title00 %>" />
        </title>
        <style id="dynCom" type="text/css">
            .section1
            {
                margin-left: 25pt;
                margin-right: 50pt;
            }
            h1
            {
                font-family: verdana;
                font-size: 1.4em;
                font-weight: bold;
            }
            h2
            {
                font-family: verdana;
                font-size: 1.2em;
                font-weight: bold;
                margin-top: 50px;
                margin-bottom: 6pt;
                border-bottom-width: .5pt;
                border-bottom-style: solid;
            }
            h3
            {
                font-family: verdana;
                font-size: 1.1em;
                font-weight: bold;
                margin-top: 12px;
            }
            h4
            {
                font-family: verdana;
                font-size: 1em;
                font-weight: bold;
            }
            .MsoNormal
            {
                font-family: verdana;
                font-size: 1em;
            }
            .BulletedList1
            {
                font-family: verdana;
                font-size: 1em;
            }
            li
            {
                font-family: verdana;
                font-size: 1em;
                margin-bottom: 6pt;
                margin-top: 6pt;
            }
            pre
            {
                font-family: courier new;
                font-size: 10pt;
            }
            .code
            {
                font-family: courier new;
                font-size: 10pt;
            }
            .CodeEmbedded
            {
                font-family: courier new;
            }
            .CodeFeaturedElement
            {
                font-family: courier new;
                font-weight: bold;
            }
            .TextinList1
            {
                font-family: verdana;
                font-size: 1em;
                margin-left: .5in;
            }
            .TextinList2
            {
                font-family: verdana;
                font-size: 1em;
                margin-left: .75in;
            }
            .UI
            {
                font-family: verdana;
                color: gray;
                font-weight: bold;
            }
            .LanguageKeyword
            {
                font-family: verdana;
                font-weight: bold;
            }
            .UserInputNon-localizable
            {
                font-family: verdana;
                font-weight: bold;
            }
            .AlertText
            {
                margin-left: .5in;
                font-family: verdana;
                font-size: 1em;
            }
            .AlertTextInList1
            {
                margin-left: .75in;
                font-family: verdana;
                font-size: 1em;
            }
            .AlertTextinList2
            {
                margin-left: 1in;
                font-family: verdana;
                font-size: 1em;
            }
            .LabelEmbedded
            {
                font-weight: bold;
                font-family: verdana;
            }
            .LinkID
            {
                display: none;
            }
        </style>
    </head>
    <div class="Section1">
        <h1>
            <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: WebSiteAdministrationToolApplicationTab01 %>" /></h1>
        <p class="MsoNormal">
            <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources: WebSiteAdministrationToolApplicationTab02 %>" /></p>
        <h2>
            <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources: Introduction01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources: Introduction02 %>" /></p>
        <ul>
            <li>
                <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources: Introduction03 %>" /></li>
        </ul>
        <p class="MsoNormal">
            <asp:Literal ID="Literal7" runat="server" Text="<%$ Resources: Introduction04 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal8" runat="server" Text="<%$ Resources: Introduction05 %>" /></p>
        <ul>
            <li>
                <asp:Literal ID="Literal9" runat="server" Text="<%$ Resources: Introduction06 %>" /></li>
        </ul>
        <p class="MsoNormal">
            <asp:Literal ID="Literal10" runat="server" Text="<%$ Resources: Introduction07 %>" /></p>
        <ul>
            <li>
                <asp:Literal ID="Literal11" runat="server" Text="<%$ Resources: Introduction08 %>" /></li>
        </ul>
        <p class="MsoNormal">
            <asp:Literal ID="Literal12" runat="server" Text="<%$ Resources: Introduction09 %>" /></p>
        <ul>
            <li>
                <asp:Literal ID="Literal13" runat="server" Text="<%$ Resources: Introduction10 %>" /></li>
        </ul>
        <p class="MsoNormal">
            <asp:Literal ID="Literal14" runat="server" Text="<%$ Resources: Introduction11 %>" /></p>
        <h2>
            <asp:Literal ID="Literal15" runat="server" Text="<%$ Resources: ConfiguringApplicationSettings01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal16" runat="server" Text="<%$ Resources: ConfiguringApplicationSettings02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal17" runat="server" Text="<%$ Resources: ConfiguringApplicationSettings03 %>" /></p>
        <pre>
labelPageHeading.Text = ConfigurationManager.AppSettings("AppName")
</pre>
        <p class="MsoNormal">
            <asp:Literal ID="Literal18" runat="server" Text="<%$ Resources: ConfiguringApplicationSettings04 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal19" runat="server" Text="<%$ Resources: ConfiguringApplicationSettings05 %>" /></p>
        <pre>
labelPageHeading.Text = ConfigurationManager.AppSettings["AppName"];
</pre>
        <h2>
            <asp:Literal ID="Literal20" runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal21" runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal22" runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline03 %>" /></p>
        <h2>
            <asp:Literal ID="Literal23" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal24" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal25" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings03 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal26" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings04 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal27" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings05 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal28" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings06 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal29" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings07 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal30" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings08 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal31" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings09 %>" /></p>
        <p class="UI">
            <asp:Literal ID="Literal32" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings10 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal33" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings11 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal34" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings12 %>" /></p>
        <p class="UI">
            <asp:Literal ID="Literal35" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings13 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal36" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings14 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal37" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings15 %>" /></p>
        <p class="UI">
            <asp:Literal ID="Literal38" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings16 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal39" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings17 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal40" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings18 %>" /></p>
        <p class="UI">
            <asp:Literal ID="Literal41" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings19 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal42" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings20 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal43" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings21 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal44" runat="server" Text="<%$ Resources: ConfiguringSMTPSettings22 %>" /></p>
        <h2>
            <asp:Literal ID="Literal45" runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal46" runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal47" runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing03 %>" /></p>
        <p class="UI">
            <asp:Literal ID="Literal48" runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing04 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal49" runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing05 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing06 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing07 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing08 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing09 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing10 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing11 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing12 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing13 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing14 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing15 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing16 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing17 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing18 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing19 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing20 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing21 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing22 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing23 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing24 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing25 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing26 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing27 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing28 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing29 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing30 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing31 %>" /></p>
        <p class="UI">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing32 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ConfiguringDebuggingandTracing33 %>" /></p>
        <h2>
            <asp:Literal runat="server" Text="<%$ Resources: BehindtheScenes01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: BehindtheScenes02 %>" /></p>
        <h3>
            <asp:Literal runat="server" Text="<%$ Resources: ApplicationSettings01 %>" /></h3>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: ApplicationSettings02 %>" /></p>
        <pre>
&lt;configuration&gt;
    &lt;appSettings&gt;
        &lt;add key="ApplicationName" value="MyApplication" /&gt;
    &lt;/appSettings&gt;
&lt;/configuration&gt;
</pre>
        <h3>
            <asp:Literal runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline01 %>" /></h3>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline02 %>" /></p>
        <pre>
&lt;configuration&gt;
    &lt;system.Web&gt;
        &lt;httpRuntime enable="False" /&gt;
    &lt;/system.Web&gt;
&lt;/configuration&gt; 
</pre>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: TakingApplicationsOfflineandOnline03 %>" /></p>
        <h3>
            <asp:Literal runat="server" Text="<%$ Resources: SMTPSettings01 %>" /></h3>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: SMTPSettings02 %>" /></p>
        <pre>
&lt;configuration&gt;
    &lt;system.net&gt;
        &lt;mailSettings&gt;
            &lt;smtp&gt;
                &lt;network 
                    host="smtp.myhost.com" /&gt;
            &lt;/smtp&gt;
        &lt;/mailSettings&gt;
    &lt;/system.net&gt;
&lt;/configuration&gt;
</pre>
        <h3>
            <asp:Literal runat="server" Text="<%$ Resources: DebuggingandTracing01 %>" /></h3>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: DebuggingandTracing02 %>" /></p>
        <pre>
&lt;configuration&gt;
    &lt;system.Web&gt;
        &lt;customErrors defaultRedirect="~/myErrorPage.aspx" /&gt;
        &lt;trace enabled="True" pageOutput="True" localOnly="True" 
                traceMode="SortByCategory"
            requestLimit="10" mostRecent="True" /&gt;
        &lt;compilation debug="True" /&gt;
    &lt;/system.Web&gt;
&lt;/configuration&gt;
</pre>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: DebuggingandTracing03 %>" /></p>
        <h2>
            <asp:Literal runat="server" Text="<%$ Resources: MoreInformation01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal runat="server" Text="<%$ Resources: MoreInformation02 %>" /></p>
        <ul>
            <li>
                <asp:Literal runat="server" Text="<%$ Resources: MoreInformation03 %>" /></li>
            <li>
                <asp:Literal runat="server" Text="<%$ Resources: MoreInformation04 %>" /></li>
            <li>
                <asp:Literal runat="server" Text="<%$ Resources: MoreInformation05 %>" /></li>
            <li>
                <asp:Literal runat="server" Text="<%$ Resources: MoreInformation06 %>" /></li>
        </ul>
        <h2>
            <asp:Literal runat="server" Text="<%$ Resources: SeeAlso01 %>" /></h2>
        <p>
            <a href="WebAdminHelp.aspx">
                <asp:Literal runat="server" Text="<%$ Resources: SeeAlso02 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Security.aspx">
                <asp:Literal runat="server" Text="<%$ Resources: SeeAlso03 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Provider.aspx">
                <asp:Literal runat="server" Text="<%$ Resources: SeeAlso04 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Internals.aspx">
                <asp:Literal runat="server" Text="<%$ Resources: SeeAlso05 %>" /></a></p>
    </div>
</asp:Content>
