﻿<%@ Page Language="C#" MasterPageFile="~/webAdmin.master" AutoEventWireup="true"
    CodeBehind="WebAdminHelp_Internals.aspx.cs" Inherits="Salient.Web.Administration.WebAdminHelp_Internals" %>

<%@ Import Namespace="System.Web.Configuration" %>
<%@ Import Namespace="System.Globalization" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal runat="server" ID="AppConfigTitle" Text="Help" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <head>
        <title>
            <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: Title00 %>" />
        </title>
        <style id="dynCom" type="text/css">
            .section1
            {
                margin-left: 25pt;
                margin-right: 50pt;
            }
            h1
            {
                font-family: verdana;
                font-size: 1.4em;
                font-weight: bold;
            }
            h2
            {
                font-family: verdana;
                font-size: 1.2em;
                font-weight: bold;
                margin-top: 50px;
                margin-bottom: 6pt;
                border-bottom-width: .5pt;
                border-bottom-style: solid;
            }
            h3
            {
                font-family: verdana;
                font-size: 1.1em;
                font-weight: bold;
                margin-top: 12px;
            }
            h4
            {
                font-family: verdana;
                font-size: 1em;
                font-weight: bold;
            }
            .MsoNormal
            {
                font-family: verdana;
                font-size: 1em;
            }
            .BulletedList1
            {
                font-family: verdana;
                font-size: 1em;
            }
            li
            {
                font-family: verdana;
                font-size: 1em;
                margin-bottom: 6pt;
                margin-top: 6pt;
            }
            pre
            {
                font-family: courier new;
                font-size: 10pt;
            }
            .code
            {
                font-family: courier new;
                font-size: 10pt;
            }
            .CodeEmbedded
            {
                font-family: courier new;
            }
            .CodeFeaturedElement
            {
                font-family: courier new;
                font-weight: bold;
            }
            .TextinList1
            {
                font-family: verdana;
                font-size: 1em;
                margin-left: .5in;
            }
            .TextinList2
            {
                font-family: verdana;
                font-size: 1em;
                margin-left: .75in;
            }
            .UI
            {
                font-family: verdana;
                color: gray;
                font-weight: bold;
            }
            .LanguageKeyword
            {
                font-family: verdana;
                font-weight: bold;
            }
            .UserInputNon-localizable
            {
                font-family: verdana;
                font-weight: bold;
            }
            .AlertText
            {
                margin-left: .5in;
                font-family: verdana;
                font-size: 1em;
            }
            .AlertTextInList1
            {
                margin-left: .75in;
                font-family: verdana;
                font-size: 1em;
            }
            .AlertTextinList2
            {
                margin-left: 1in;
                font-family: verdana;
                font-size: 1em;
            }
            .LabelEmbedded
            {
                font-weight: bold;
                font-family: verdana;
            }
            .LinkID
            {
                display: none;
            }
        </style>
    </head>
    <div class="Section1">
        <h1>
            <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: WebSiteAdministrationToolInternals01 %>" /></h1>
        <p class="MsoNormal">
            <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources: WebSiteAdministrationToolInternals02 %>" /></p>
        <h2>
            <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources: Introduction01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources: Introduction02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources: Introduction03 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal7" runat="server" Text="<%$ Resources: Introduction04 %>" /></p>
        <h2>
            <asp:Literal ID="Literal8" runat="server" Text="<%$ Resources: .NETConfiguration01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal9" runat="server" Text="<%$ Resources: .NETConfiguration02 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal10" runat="server" Text="<%$ Resources: .NETConfiguration03 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal11" runat="server" Text="<%$ Resources: .NETConfiguration04 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal12" runat="server" Text="<%$ Resources: .NETConfiguration05 %>" /></p>
        <p class="MsoNormal">
            <asp:Literal ID="Literal13" runat="server" Text="<%$ Resources: .NETConfiguration06 %>" /></p>
        <h2>
            <asp:Literal ID="Literal14" runat="server" Text="<%$ Resources: ConfigurationAPI01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal15" runat="server" Text="<%$ Resources: ConfigurationAPI02 %>" /></p>
        <h2>
            <asp:Literal ID="Literal16" runat="server" Text="<%$ Resources: ConfigurationFileStructure01 %>" /></h2>
        <p class="MsoNormal">
            <asp:Literal ID="Literal17" runat="server" Text="<%$ Resources: ConfigurationFileStructure02 %>" /></p>
        <h2>
            <asp:Literal ID="Literal18" runat="server" Text="<%$ Resources: SeeAlso01 %>" /></h2>
        <p>
            <a href="WebAdminHelp.aspx">
                <asp:Literal ID="Literal19" runat="server" Text="<%$ Resources: SeeAlso02 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Security.aspx">
                <asp:Literal ID="Literal20" runat="server" Text="<%$ Resources: SeeAlso03 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Application.aspx">
                <asp:Literal ID="Literal21" runat="server" Text="<%$ Resources: SeeAlso04 %>" /></a></p>
        <p>
            <a href="WebAdminHelp_Provider.aspx">
                <asp:Literal ID="Literal22" runat="server" Text="<%$ Resources: SeeAlso05 %>" /></a></p>
    </div>
</asp:Content>
