﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Salient.Web.Administration
{
    public partial class webAdmin : System.Web.UI.MasterPage
    {
        private string _directionality;

        public string Directionality
        {
            get
            {
                if (String.IsNullOrEmpty(_directionality))
                {
                    _directionality = ((string)GetGlobalResourceObject("GlobalResources", "HtmlDirectionality")).ToLower();
                }
                return _directionality;
            }
        }

        public void Page_Init(object sender, EventArgs e)
        {
            ((WebAdminPage)Page).NavigationBar = navigationBar;
        }

        public void Page_Load()
        {
            //string reqAppPath = Request.ApplicationPath;
            //linkElement.Text = "<link rel=\"stylesheet\" type=\"text/css\" href=\"" + Common.GetNormalizedUrl("webAdminStyles.css") + "\"/>";
        }

        public void SetNavigationBarSelectedIndex(int sel)
        {
            navigationBar.SetSelectedIndex(sel);
        }

        public void SetNavigationBarVisibility(bool visible)
        {
            navigationBar.Visible = visible;

        }

    }
}
