// /* **********************************************************************************
//  *
//  * Copyright (c) Sky Sanders. All rights reserved.
//  * 
//  * This source code is subject to terms and conditions of the Microsoft Public
//  * License (Ms-PL). A copy of the license can be found in the license.htm file
//  * included in this distribution.
//  *
//  * You must not remove this notice, or any other, from this software.
//  *
//  * **********************************************************************************/
using System.Collections.Generic;

namespace SimpleRemoteControl.Data.Domain
{
    public class Server
    {
        private IList<Browser> _browsers = new List<Browser>();
        public virtual string Address { get; set; }
        public virtual string Platform { get; set; }

        public IList<Browser> Browsers
        {
            get { return _browsers; }
            set { _browsers = value; }
        }
    }
}