﻿// /* **********************************************************************************
//  *
//  * Copyright (c) Sky Sanders. All rights reserved.
//  * 
//  * This source code is subject to terms and conditions of the Microsoft Public
//  * License (Ms-PL). A copy of the license can be found in the license.htm file
//  * included in this distribution.
//  *
//  * You must not remove this notice, or any other, from this software.
//  *
//  * **********************************************************************************/

#region

using System;
using System.Configuration;

#endregion

namespace SimpleRemoteControl.Configuration
{
    public class BrowserElement : ConfigurationElement
    {
        [ConfigurationProperty("description")]
        public string Description
        {
            get { return Convert.ToString(this["description"]); }
            set { this["description"] = value; }
        }


        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get { return Convert.ToString(this["name"]); }
            set { this["name"] = value; }
        }

        [ConfigurationProperty("version", IsRequired = true)]
        public string Version
        {
            get { return Convert.ToString(this["version"]); }
            set { this["version"] = value; }
        }

        [ConfigurationProperty("key", IsKey = true, IsRequired = true)]
        public string Key
        {
            get { return Convert.ToString(this["key"]); }
            set { this["key"] = value; }
        }

        [ConfigurationProperty("path", IsRequired = true)]
        public string Path
        {
            get { return Convert.ToString(this["path"]); }
            set { this["path"] = value; }
        }
    }
}