﻿// /* **********************************************************************************
//  *
//  * Copyright (c) Sky Sanders. All rights reserved.
//  * 
//  * This source code is subject to terms and conditions of the Microsoft Public
//  * License (Ms-PL). A copy of the license can be found in the license.htm file
//  * included in this distribution.
//  *
//  * You must not remove this notice, or any other, from this software.
//  *
//  * **********************************************************************************/
using System;

namespace Salient.Spikes
{
    /// <summary>
    /// Intended to exercise a ControllableProcess with a simulated FTP server
    /// </summary>
    internal class Program
    {
        private static void Main(string[] args)
        {
            Console.Write("ftp> ");
            Console.ReadLine();
            Console.Write("To ");
            string input = Console.ReadLine();
            Console.WriteLine("Connected to {0}", input);
            Console.Write("User ({0}:none)): ", input);
            Console.ReadLine();
            Console.WriteLine("331 Anonymous access allowed, send identity (e-mail name) as password.");
            Console.Write("Password: ");
            Console.ReadLine();
            Console.WriteLine("230 User logged in.");
            Console.Write("ftp> ");
            Console.ReadLine();
        }
    }
}