﻿<%@ Page Language="C#" MasterPageFile="~/webAdmin.master" AutoEventWireup="true"
    CodeBehind="AppConfigHome.aspx.cs" Inherits="Salient.Web.Administration.AppConfig.AppConfigHome" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Literal runat="server" ID="AppConfigTitle" Text="<%$ Resources:Title %>" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <table height="100%" width="100%" valign="top">
        <tr height="10%">
            <td class="bodyTextNoPadding" colspan="5" valign="top">
                <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Instructions %>" />
            </td>
        </tr>
        <tr>
            <td width="32%" valign="top">
                <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                    border="1" style="border-style: None; border-collapse: collapse;">
                    <tr class="callOutStyle" height="1%">
                        <td style="padding-left: 10; padding-right: 10;">
                            <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:AppSettingsTitle %>" />
                        </td>
                    </tr>
                    <tr class="bodyText" valign="top">
                        <td style="padding-left: 10; padding-right: 10;">
                            <asp:Label runat="server" ID="NumOfAppSettings" /><br />
                            <br />
                            <asp:HyperLink ID="CreateAppSettingsLink" runat="server" Text="<%$ Resources:CreateAppSettingsLinkText %>"
                                NavigateUrl="CreateAppSetting.aspx" /><br />
                            <asp:HyperLink ID="HyperLink1" runat="server" Text="<%$ Resources:ManageAppSettingsLinkText %>"
                                NavigateUrl="ManageAppSettings.aspx" />
                        </td>
                    </tr>
                </table>
            </td>
            <td width="1%" />
            <td width="34%" valign="top">
                <table cellspacing="0" height="100%" width="100%" cellpadding="0" border="0">
                    <tr height="49%">
                        <td>
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:SMTPSettingsTitle %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" height="100%" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:HyperLink ID="HyperLink2" runat="server" Text="<%$ Resources:SMTPSettingsLinkText %>"
                                            NavigateUrl="SmtpSettings.aspx" /><br />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="1%" />
            <td width="32%" valign="top">
                <table cellspacing="0" height="100%" width="100%" cellpadding="0" border="0">
                    <tr height="49%">
                        <td>
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle" height="1%">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:AppStatusTitle %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:Label runat="server" ID="applicationOnlineState" /><br />
                                        <br />
                                        <asp:LinkButton runat="server" ID="toggleApplication" OnClick="ToggleApplicationOnline" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr height="2%">
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr height="49%">
                        <td>
                            <table cellspacing="0" height="100%" width="100%" cellpadding="0" rules="all" bordercolor="#CCDDEF"
                                border="1" style="border-style: None; border-collapse: collapse;">
                                <tr class="callOutStyle">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:DebugAndTraceTitle %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" height="100%" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:HyperLink ID="HyperLink3" runat="server" Text="<%$ Resources:DebugAndTraceLinkText %>"
                                            NavigateUrl="DebugAndTrace.aspx" /><br />
                                        <br />
                                        <asp:HyperLink ID="HyperLink4" runat="server" Text="<%$ Resources:DefineErrorPageLinkText %>"
                                            NavigateUrl="DefineErrorPage.aspx" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
