﻿<%@ Page Language="C#" MasterPageFile="~/WebAdminWithConfirmation.master" AutoEventWireup="true"
    CodeBehind="DefineErrorPage.aspx.cs" Inherits="Salient.Web.Administration.AppConfig.DefineErrorPage" %>

<%-- Main Content --%>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="titleBar">
    <asp:Label runat="server" ID="DefineErrorPageTitle" Text="<%$ Resources:Title %>" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="content">
    <table height="100%" width="90%" cellspacing="0" cellpadding="0">
        <tr class="bodyTextNoPadding">
            <td>
                <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Instructions %>" />
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                <table runat="server" id="WarningTable2" width="100%" valign="top" visible="false">
                    <tr class="bodyText" valign="top">
                        <td>
                            <asp:Image runat="server" ID="Alert2" ImageUrl="~/images/alert_lrg.gif" />
                        </td>
                        <td />
                        <td>
                            <asp:Label runat="server" ID="WarningLabel2" ForeColor="maroon" Text="<%$ Resources:ErrorPageWarningErrorsNotEnabled %>" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table cellspacing="0" height="100%" width="100%" cellpadding="0" rules="all" bordercolor="#CCDDEF"
                    border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
                    <tr class="bodyText" valign="top">
                        <td>
                            <table cellspacing="0" height="100%" width="100%" cellpadding="4" rules="all" border="0"
                                style="border-style: None; border-collapse: collapse;">
                                <tr class="bodyText" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:RadioButton runat="server" ID="DefaultErrorRadioButton" GroupName="ErrorSelection"
                                            AutoPostBack="true" OnCheckedChanged="WebControl_ValueChanged" />
                                    </td>
                                    <td style="padding-right: 10;">
                                        <asp:Label ID="Label1" runat="server" AssociatedControlID="DefaultErrorRadioButton"
                                            Text="<%$ Resources:DefaultErrorLabel %>" Font-Bold="true" />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;">
                                        <asp:RadioButton runat="server" ID="ErrorPageRadioButton" GroupName="ErrorSelection"
                                            AutoPostBack="true" OnCheckedChanged="WebControl_ValueChanged" />
                                    </td>
                                    <td style="padding-right: 10;">
                                        <asp:Label ID="Label2" runat="server" AssociatedControlID="ErrorPageRadioButton"
                                            Text="<%$ Resources:ErrorPageLabel %>" Font-Bold="true" />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td />
                                    <td style="padding-right: 10;">
                                        <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:ErrorPageInstructions %>" />
                                    </td>
                                </tr>
                                <tr class="bodyText" valign="top">
                                    <td />
                                    <td style="padding-right: 10;">
                                        <table runat="server" id="WarningTable" width="100%" valign="top" visible="false">
                                            <tr class="bodyText" valign="top">
                                                <td>
                                                    <asp:Image runat="server" ID="Alert" ImageUrl="~/images/alert_lrg.gif" />
                                                </td>
                                                <td />
                                                <td>
                                                    <asp:Label runat="server" ID="WarningLabel" ForeColor="maroon" Text="<%$ Resources:ErrorPageWarningLabel %>" />
                                                    <asp:Label runat="server" ID="WarningErrorPageUrlLabel" ForeColor="maroon" Font-Bold="true" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td />
                                    <td>
                                        <table cellspacing="0" height="100%" width="600" cellpadding="0" rules="none" bordercolor="#CCDDEF"
                                            border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
                                            <tr class="callOutStyle">
                                                <td style="padding-top: 4; padding-left: 10; padding-right: 10; padding-bottom: 4;"
                                                    colspan="2">
                                                    <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:SelectCustomErrorPageTitle %>" />
                                                </td>
                                            </tr>
                                            <tr class="bodyText" style="padding-top: 0;">
                                                <td style="padding-left: 0; padding-right: 0;" colspan="2">
                                                    <asp:Panel ID="PagesPanel" runat="server" ScrollBars="both" Height="200" Width="600"
                                                        CssClass="bodyTextNoPadding">
                                                        <asp:TreeView runat="server" ID="PagesTreeView">
                                                            <RootNodeStyle ImageUrl="../images/folder.gif" />
                                                            <ParentNodeStyle ImageUrl="../images/folder.gif" />
                                                            <LeafNodeStyle ImageUrl="../images/folder.gif" />
                                                            <NodeStyle CssClass="bodyTextLowPadding" />
                                                            <SelectedNodeStyle CssClass="bodyTextLowPaddingSelected" />
                                                        </asp:TreeView>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table cellspacing="0" height="100%" width="100%" cellpadding="0" rules="all" border="0"
                                style="border-style: None; border-collapse: collapse;">
                                <tr class="userDetailsWithFontSize" valign="top">
                                    <td style="padding-left: 10; padding-right: 10;" align="left">
                                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" HeaderText="<%$ Resources:GlobalResources,ErrorHeader %>"
                                            ValidationGroup="SetErrorPage" />
                                        <asp:CustomValidator ID="CustomValidator1" runat="server" EnableClientScript="false"
                                            Display="none" ValidationGroup="SetErrorPage" OnServerValidate="ErrorPage_ServerValidate"
                                            ErrorMessage="<%$ Resources:ErrorPageNotSetError %>" />
                                    </td>
                                    <td style="padding-left: 10; padding-right: 10;" align="right" width="1%">
                                        <asp:Button ID="SaveButton" runat="server" Text="<%$ Resources:GlobalResources,SaveButtonLabel %>"
                                            OnClick="SaveButton_Click" ValidationGroup="SetErrorPage" Width="100" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr height="100%">
            <td />
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="buttons">
    <asp:Button ValidationGroup="none" Text="<%$ Resources:GlobalResources,BackButtonLabel %>"
        ID="BackButton" OnClick="ReturnToPreviousPage" runat="server" />
</asp:Content>
<%-- Confirmation Dialog --%>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="dialogTitle">
    <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:Title %>" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="dialogContent">
    <table cellspacing="4" cellpadding="4">
        <tr class="bodyText">
            <td>
                <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:ConfirmationText %>" />
            </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content6" runat="server" ContentPlaceHolderID="dialogBottomLeftLink">
    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="AppConfigHome.aspx" Text="<%$ Resources:AppConfigCommon,AppConfigHomeLinkText %>" />
</asp:Content>
<asp:Content ID="Content7" runat="server" ContentPlaceHolderID="dialogBottomRightButton">
    <asp:Button ID="Button1" runat="server" OnClick="ConfirmOK_Click" Text="<%$ Resources:GlobalResources,OKButtonLabel %>"
        Width="75" />
</asp:Content>
