﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProviderList.ascx.cs"  Inherits="Salient.Web.Administration.Providers.ProviderList" %>
<table height="100%" width="100%" cellspacing="0" cellpadding="4" rules="all" bordercolor="#CCDDEF"
    border="1" style="border-color: #CCDDEF; border-style: None; border-collapse: collapse;">
    <tr height="1%">
        <td class="callOutStyle" valign="top">
            <asp:Literal runat="server" ID="HeaderLiteral" />
        </td>
    </tr>
    <tr align="left" valign="top">
        <td>
            <asp:GridView runat="server" ID="ProviderListGridView" Width="100%" CellSpacing="0"
                CellPadding="0" border="0" AutoGenerateColumns="false" ShowHeader="false" OnRowDataBound="ProviderListGridView_DataBound"
                EmptyDataText="<%$ Resources:NoProvidersCreated %>">
                <RowStyle CssClass="gridRowStyle" />
                <AlternatingRowStyle CssClass="gridAlternatingRowStyle" />
                <EmptyDataRowStyle CssClass="bodyText" ForeColor="gray" />
                <Columns>
                    <asp:TemplateField ItemStyle-Width="20%">
                        <ItemTemplate>
                            <asp:RadioButton runat="server" ID="ProviderRadioButton" AutoPostBack="true" OnCheckedChanged="ProviderRadioButton_Click"
                                Text='<%# GetProviderName(Container.DataItem) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField ItemStyle-Width="20%">
                        <ItemTemplate>
                            <asp:LinkButton runat="server" ID="TestProviderLinkButton" Visible='<%# IsTestable(GetProviderName(Container.DataItem)) %>'
                                Text="<%$ Resources:Test %>" ForeColor="blue" OnClick="TestConnection_Click"
                                ToolTip='<%# GetToolTip("Test",GetProviderName(Container.DataItem)) %>' CommandArgument='<%# GetConnectionStringName(Container.DataItem) %>'
                                CommandName='<%# GetTypeString(Container.DataItem) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField ItemStyle-Width="59%">
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" Text='<%# GetDescription(Container.DataItem) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField ItemStyle-Width="0">
                        <ItemTemplate>
                            <asp:Label Visible="false" ID="IsGroupControl" runat="server" Text='<%# GetIsGroup(Container.DataItem) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>
