﻿<%@ Page Language="C#" MasterPageFile="~/webAdminButtonRow.master" AutoEventWireup="true" CodeBehind="createPermission.aspx.cs"
    Inherits="Salient.Web.Administration.Security.Permissions.createPermission" %>

<asp:content runat="server" contentplaceholderid="buttons">
<asp:button ValidationGroup="none" runat="server" id="Button01" text="<%$ Resources:OK %>" onclick="UpdateAndReturnToPreviousPage" width="110"/>
<asp:button runat="server" id="Button02" text="<%$ Resources:Cancel %>" onclick="ReturnToPreviousPage" width="110"/>
</asp:content>
<asp:content runat="server" contentplaceholderid="titleBar">
<asp:literal runat="server" text="<%$ Resources:AddNewAccess %>" />
</asp:content>
<asp:content runat="server" contentplaceholderid="content">
<div style="width:80%">
<asp:literal runat="server" text="<%$ Resources:Instructions %>" />
    </div>
<table width="80%">
    <tr>
        <td width="80%">
            <table cellspacing="0" width="100%" cellpadding="4" rules="all" bordercolor="#CCDDEF" border="1" style="border-color:#CCDDEF;border-style:None;border-collapse:collapse;">
                <tr class="callOutStyle">
                    <td colspan="2"><asp:literal runat="server" text="<%$ Resources:AddNewAccess %>" /></td>
                </tr>

                <tr>
                                <td class="bodyTextNoPadding" width="200px" >
                                    <b><asp:literal runat="server" text="<%$ Resources:SelectDirForRule %>"/></b>
                                    <asp:panel runat="server" id="panel1" scrollbars="auto" height="150px" width="200px" cssclass="bodyTextNoPadding">
                                    <asp:treeview runat="server" id="tv" onTreeNodeExpanded="TreeNodeExpanded" onSelectedNodeChanged="TreeNodeSelected">
                                        <RootNodeStyle ImageUrl="../../images/folder.gif" />
                                        <ParentNodeStyle ImageUrl="../../images/folder.gif" />
                                        <LeafNodeStyle ImageUrl="../../images/folder.gif" />
                                    <nodestyle cssclass="bodyTextLowPadding"/>
                                    <selectednodestyle cssclass="bodyTextLowPaddingSelected"/>
                                    </asp:treeview>

                                    </asp:panel>
                                </td>
                    <td height="100%" valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" class="bodyTextNoPadding" height="100%" width="100%" align="center">
                            <tr>
                                <td width="50%"><b><asp:literal runat="server" text="<%$ Resources:RuleAppliesTo %>"/></b></td>
                                <td><b><asp:literal runat="server" text="<%$ Resources:Permission %>"/></b></td>
                            </tr>
                            <tr>
                                <td width="62%">
                                    <asp:radiobutton runat="server" id="roleRadio" checked="true" groupname="rolesUsers" />
                                    <asp:label runat="server" associatedcontrolid="roleRadio"><asp:literal runat="server" text="<%$ Resources:Role %>"/></asp:label>
                                    <asp:dropdownlist runat="server" id="roles"/>
                                    </td>
                                <td>
                                    <asp:radiobutton runat="server" id="grantRadio" groupname="grantDeny" />
                                    <asp:label runat="server" associatedcontrolid="grantRadio"><asp:literal runat="server" text="<%$ Resources:Allow %>"/></asp:label></td>
                            </tr>
                            <tr>
                                <td width="62%">
                                    <asp:radiobutton runat="server" id="userRadio" groupname="rolesUsers" />
                                    <asp:label runat="server" associatedcontrolid="userRadio"><asp:literal runat="server" text="<%$ Resources:User %>"/></asp:label>
                                    <asp:textbox runat="server" id="userName"/>
                                    <br/><asp:hyperlink runat="server" id="findUsersLink" navigateUrl="../users/findusers.aspx"><asp:literal runat="server" text="<%$ Resources:SearchForUsers %>"/></asp:hyperlink>
                                    </td>
                                <td>
                                    <asp:radioButton runat="server" id="denyRadio" checked="true" groupName="grantDeny"/>
                                    <asp:label runat="server" associatedcontrolid="denyRadio"><asp:literal runat="server" text="<%$ Resources:Deny %>"/></asp:label>
                                </td>
                            </tr>
                            <tr>
                                <td width="62%">
                                    <asp:radiobutton runat="server" id="allUsersRadio" groupname="rolesUsers" />
                                    <asp:label runat="server" associatedcontrolid="allUsersRadio"><asp:literal runat="server" text="<%$ Resources:AllUsers %>"/></asp:label></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td width="62%">
                                    <asp:radiobutton runat="server" id="anonymousUsersRadio" groupname="rolesUsers" />
                                    <asp:label runat="server" associatedcontrolid="anonymousUsersRadio"><asp:literal runat="server" text="<%$ Resources:AnonymousUsers %>"/></asp:label></td>
                                <td></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<asp:customvalidator runat="server" id="placeholderValidator" enableclientscript="false" errormessage="Invalid input" display="dynamic"/>
</asp:content>
