﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="wizardCreateRoles.ascx.cs"
    Inherits="Salient.Web.Administration.Security.Wizard.wizardCreateRoles" %>
<%@ Register TagPrefix="user" TagName="confirmation" Src="confirmation.ascx" %>
<asp:MultiView runat="server" ID="mv0" ActiveViewIndex="0">
    <asp:View ID="View1" runat="server">
        <asp:MultiView runat="server" ID="mv1" ActiveViewIndex="0">
            <asp:View ID="View2" runat="server">
                <div class="bodyTextNoPadding" style="width: 500">
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Instructions %>" />
                    <asp:CheckBox runat="server" ID="enableRoleCB" AutoPostBack="true" OnCheckedChanged="EnableRolesChanged" />
                    <asp:Label ID="Label1" runat="server" AssociatedControlID="enableRoleCB" Text="<%$ Resources:EnableRolesCheck %>" />
                </div>
            </asp:View>
            <asp:View ID="View3" runat="server">
                <span class="bodyTextNoPadding">
                    <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:RolesEnabled %>" /></span><br />
                <table cellspacing="0" width="400" cellpadding="5" rules="all" class="lrbBorders"
                    border="0">
                    <tr class="callOutStyle">
                        <td>
                            <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:CreateNewRole %>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="bodyTextNoPadding">
                            <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:NewRoleName %>" /><br />
                            <asp:TextBox runat="server" ID="textBox1" MaxLength="256" Style="width: 200" />
                            &nbsp;
                            <asp:Button runat="server" ID="button1" Text="<%$ Resources:AddRole %>" OnClick="AddRole" />
                            <br />
                        </td>
                    </tr>
                </table>
                <%-- Cause the textbox to submit the page on enter, raising server side onclick--%>
                <input type="text" style="visibility: hidden" />
                <br />
                <table cellspacing="0" cellpadding="0" class="lrbBorders" border="0">
                    <tr>
                        <td>
                            <asp:GridView runat="server" ID="dataGrid" Width="400" border="0" AllowSorting="true"
                                CellPadding="5" GridLines="Horizontal" BorderStyle="None" AutoGenerateColumns="False"
                                AllowPaging="true" PageSize="7" OnPageIndexChanging="IndexChanged" UseAccessibleHeader="true">
                                <RowStyle CssClass="gridRowStyle" />
                                <AlternatingRowStyle CssClass="gridAlternatingRowStyle" />
                                <HeaderStyle CssClass="callOutStyle" Font-Bold="true" HorizontalAlign="Left" />
                                <SelectedRowStyle CssClass="gridSelectedRowStyle" />
                                <Columns>
                                    <asp:TemplateField runat="server" HeaderText="<%$ Resources:ExistingRoles %>">
                                        <ItemTemplate>
                                            <%# Container.DataItem %>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField runat="server">
                                        <ItemStyle HorizontalAlign="left" />
                                        <ItemTemplate>
                                            <asp:LinkButton runat="server" ID="linkButton1" Text="<%$ Resources:Delete %>" CommandName="DeleteRole"
                                                ToolTip='<%# GetToolTip("Delete", Container.DataItem.ToString()) %>' CommandArgument='<%#Container.DataItem%>'
                                                OnCommand='DeleteRole' />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                                <PagerStyle HorizontalAlign="Left" ForeColor="#000000" BackColor="#EEEEEE" />
                                <PagerSettings Mode="Numeric" />
                            </asp:GridView>
                        </td>
                    </tr>
                </table>
            </asp:View>
        </asp:MultiView>
    </asp:View>
    <asp:View ID="View4" runat="server">
        <user:confirmation runat="server" ID="confirmation" />
    </asp:View>
</asp:MultiView>
