﻿using System;
using System.Web;

namespace Salient.Web.Administration
{
    public partial class home0 : WebAdminPage
    {
        protected override void OnInit(EventArgs e)
        {
            if (string.Compare(CurrentRequestUrl, Request.CurrentExecutionFilePath) != 0)
            {
                PushRequestUrl(Request.CurrentExecutionFilePath);
            }
        }

        public void Page_Load()
        {
            string queryStringAppPath = GetQueryStringAppPath();
            string queryStringPhysPath = GetQueryStringPhysicalAppPath();
            string requestAppPath = HttpContext.Current.Request.ApplicationPath;

            if (queryStringPhysPath != null)
            {
                string webAdminVersion = "aspnet_webadmin\\" + base.UnderscoreProductVersion + "\\";
                if (queryStringPhysPath.EndsWith(webAdminVersion))
                {
                    WebAdminToolError.Visible = true;
                }
            }
        }
    }
}