﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="navigationBar.ascx.cs" Inherits="Salient.Web.Administration.navigationBar" %>
<%@ Register TagPrefix="admin" Namespace="Salient.Web.Administration" %>

<script language="javascript">
<!--
    function __keyPress(event, href) {
        var keyCode;
        if (typeof (event.keyCode) != "undefined") {
            keyCode = event.keyCode;
        }
        else {
            keyCode = event.which;
        }

        if (keyCode == 13) {
            window.location = href;
        }
    }
//-->
</script>

<!-- Top Branding/Navigation Table Region -->
<table width="100%" height="64" cellspacing="0" cellpadding="0" class="homePageHeader"
    border="0">
    <tr>
        <td valign="bottom" nowrap="nowrap" height="31">
            <img src="<%#Common.GetNormalizedUrl("images/branding_Full2.gif")%>" width="116" height="30"
                alt="<%#GetAltText("BrandingFull2Gif")%>" border="0">
            <span class="webToolBrand">
                <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: WebSiteAdminTool %>" />
            </span>
        </td>
        <td align="right" valign="top" nowrap height="31">
            <asp:HyperLink ID="HyperLink1" runat="server" CssClass="helpHyperLink" NavigateUrl="~/WebAdminHelp.aspx"
                TabIndex="5" Text="<%$ Resources: HowDoIUse %>" />&nbsp;
            <img src="<%# GetHelpImage() %>" width="24" height="24" alt="<%#GetAltText("HelpIconSolidGif")%>"
                border="0" style="position: relative; top: 7">&nbsp;
        </td>
    </tr>
    <tr>
        <td colspan="2" valign="bottom" nowrap height="33">
            <%-- Table for the Tab Navigation Model --%>
            <table id="TabTable" width="100%" cellspacing="0" cellpadding="0" border="0" onselectstart="event.returnValue=false;">
                <tr>
                    <td width="4" height="20" nowrap class="spacerTab">
                        &nbsp;
                    </td>
                    <asp:Repeater runat="server" ID="imageRepeater">
                        <ItemTemplate>
                            <td id='<%# "left" + Container.ItemIndex %>' width="4" height="20" valign="top" nowrap
                                class="<%#GetLeftClass(Container.ItemIndex)%>">
                                <img id='<%# "leftImage" + Container.ItemIndex %>' src="<%#GetLeftImage(Container.ItemIndex)%>"
                                    width="4" height="3" alt="" border="0">
                            </td>
                            <td width="81em" height="20" align="center" valign="top" nowrap class="<%#GetCenterClass(Container.ItemIndex)%>"
                                tabindex="0" onclick='window.location = "<%#Common.GetNormalizedUrl((String)((Pair)Container.DataItem).Second)%>"'
                                onmouseover="<%#MouseOver(Container.ItemIndex)%>" onmouseout="<%#MouseOut(Container.ItemIndex)%>"
                                onkeypress="<%# "__keyPress(event, '" + Common.GetNormalizedUrl((String)((Pair)Container.DataItem).Second) + "');" %>">
                                <%# GetLocalizedString((String) ((Pair)Container.DataItem).First) %>
                            </td>
                            <td id='<%# "right" + Container.ItemIndex %>' width="4" height="20" align="right"
                                valign="top" nowrap class="<%#GetRightClass(Container.ItemIndex)%>">
                                <img src="<%#GetRightImage(Container.ItemIndex)%>" width="4" height="3" alt="" border="0">
                            </td>
                            <td width="4" height="20" nowrap class="spacerTab">
                                &nbsp;
                            </td>
                        </ItemTemplate>
                    </asp:Repeater>
                    <td width="" height="20" nowrap class="spacerTab">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
