﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Salient.Web.Administration
{
    public partial class webAdminButtonRow : System.Web.UI.MasterPage
    {

        private string _directionality;

        public string Directionality
        {
            get
            {
                if (String.IsNullOrEmpty(_directionality))
                {
                    _directionality = ((string)GetGlobalResourceObject("GlobalResources", "HtmlDirectionality")).ToLower();
                }
                return _directionality;
            }
        }

        public void Page_Load()
        {
            string htmlText = "<td><img src=\"" + Request.ApplicationPath + "/images/yellowCORNER.gif\" width=\"34\"";
            htmlText = htmlText + " alt=\"" + (string)GetGlobalResourceObject("GlobalResources", "YellowCornerGif") + "\"";
            htmlText = htmlText + " border=\"0\"/></td>";
            if (Directionality == "rtl")
            {
                yellowCornerElement.Text = "";
                yellowCornerElementBIDI.Text = htmlText;
            }
            else
            {
                yellowCornerElement.Text = htmlText;
                yellowCornerElementBIDI.Text = "";
            }
        }

        public void SetNavigationBarSelectedIndex(int sel)
        {
            ((webAdmin)Master).SetNavigationBarSelectedIndex(sel);
        }

        public void SetNavigationBarVisibility(bool visible)
        {
            ((webAdmin)Master).SetNavigationBarVisibility(visible);
        }

    }
}
